MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::TileRect Class Reference

`#include <MyGUI_TileRect.h>`

Inheritance diagram for MyGUI::TileRect:
[legend]

## Public Types
typedef RTTIBase | Base
typedef TileRect | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| TileRect ()
virtual | ~TileRect ()
virtual void | setAlpha (float _alpha)
virtual void | setVisible (bool _visible)
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)
virtual void | destroyDrawItem ()
virtual void | doRender ()
virtual void | setStateData (IStateInfo *_data)
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | _setUVSet (const FloatRect &_rect)
virtual void | _setColour (const Colour &_value)
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetRect ()
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
bool | mEmptyView
VertexColourType | mVertexFormat
uint32 | mCurrentColour
FloatRect | mCurrentTexture
IntCoord | mCurrentCoord
ILayerNode * | mNode
RenderItem * | mRenderItem
IntSize | mTileSize
size_t | mCountVertex
float | mRealTileWidth
float | mRealTileHeight
float | mTextureHeightOne
float | mTextureWidthOne
bool | mTileH
bool | mTileV
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Detailed Description

Definition at line 22 of file MyGUI_TileRect.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::TileRect::Base

Definition at line 25 of file MyGUI_TileRect.h.

typedef TileRect MyGUI::TileRect::RTTIBase

Definition at line 25 of file MyGUI_TileRect.h.

## Constructor & Destructor Documentation

MyGUI::TileRect::TileRect | ( |  | ) |

Definition at line 22 of file MyGUI_TileRect.cpp.

MyGUI::TileRect::~TileRect | ( |  | ) |
| virtual

Definition at line 38 of file MyGUI_TileRect.cpp.

## Member Function Documentation

void MyGUI::TileRect::_correctView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 61 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::_setAlign | ( | const IntSize & | _oldsize | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 67 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::_setColour | ( | const Colour & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 362 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::_setUVSet | ( | const FloatRect & | _rect | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 182 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::_updateView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 122 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node
| ) |  |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 334 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::destroyDrawItem | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 343 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::doRender | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 189 of file MyGUI_TileRect.cpp.

static const std::string& MyGUI::TileRect::getClassTypeName | ( |  | ) |
| inline static

Definition at line 25 of file MyGUI_TileRect.h.

virtual const std::string& MyGUI::TileRect::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 25 of file MyGUI_TileRect.h.

template<typename Type >

bool MyGUI::TileRect::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 25 of file MyGUI_TileRect.h.

virtual bool MyGUI::TileRect::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 25 of file MyGUI_TileRect.h.

void MyGUI::TileRect::setAlpha | ( | float | _alpha | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 52 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::setStateData | ( | IStateInfo * | _data | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 352 of file MyGUI_TileRect.cpp.

void MyGUI::TileRect::setVisible | ( | bool | _visible | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 42 of file MyGUI_TileRect.cpp.

## Field Documentation

size_t MyGUI::TileRect::mCountVertex
| protected

Definition at line 65 of file MyGUI_TileRect.h.

uint32 MyGUI::TileRect::mCurrentColour
| protected

Definition at line 56 of file MyGUI_TileRect.h.

IntCoord MyGUI::TileRect::mCurrentCoord
| protected

Definition at line 59 of file MyGUI_TileRect.h.

FloatRect MyGUI::TileRect::mCurrentTexture
| protected

Definition at line 58 of file MyGUI_TileRect.h.

bool MyGUI::TileRect::mEmptyView
| protected

Definition at line 53 of file MyGUI_TileRect.h.

ILayerNode* MyGUI::TileRect::mNode
| protected

Definition at line 61 of file MyGUI_TileRect.h.

float MyGUI::TileRect::mRealTileHeight
| protected

Definition at line 68 of file MyGUI_TileRect.h.

float MyGUI::TileRect::mRealTileWidth
| protected

Definition at line 67 of file MyGUI_TileRect.h.

RenderItem* MyGUI::TileRect::mRenderItem
| protected

Definition at line 62 of file MyGUI_TileRect.h.

float MyGUI::TileRect::mTextureHeightOne
| protected

Definition at line 70 of file MyGUI_TileRect.h.

float MyGUI::TileRect::mTextureWidthOne
| protected

Definition at line 71 of file MyGUI_TileRect.h.

bool MyGUI::TileRect::mTileH
| protected

Definition at line 73 of file MyGUI_TileRect.h.

IntSize MyGUI::TileRect::mTileSize
| protected

Definition at line 64 of file MyGUI_TileRect.h.

bool MyGUI::TileRect::mTileV
| protected

Definition at line 74 of file MyGUI_TileRect.h.

VertexColourType MyGUI::TileRect::mVertexFormat
| protected

Definition at line 55 of file MyGUI_TileRect.h.

The documentation for this class was generated from the following files:

- MyGUI_TileRect.h
- MyGUI_TileRect.cpp